Loading ...
Sorry, an error occurred while loading the content.

Re: Feature reguest: vim patchlevel version

Expand Messages
  • Bram Moolenaar
    ... That won t work, because you can add just patch 6.1.364 and not all the ones before it. It would require a check for whether a specific patch has been
    Message 1 of 2 , Mar 3, 2003
    • 0 Attachment
      Lubomir Host wrote:

      > There is no way, how to determine vim's patchlevel version.
      > Currently is vim 6.1.304. But for all 6.1.* versions v:version says:
      >
      > :echo v:version
      > 601
      >
      > v:version probably can be computed as:
      >
      > 364 + 1000 * (1 + 100 * 6) = 601364
      > ^^^ ^ ^
      > Vim version detection is then not broken in oldest versions, because
      > "if v:version < 601" works and also in newest vim version works
      > "if v:version > 601364".
      >
      > But limitation is only 999 patches for one 6.x version. ;)

      That won't work, because you can add just patch 6.1.364 and not all the
      ones before it.

      It would require a check for whether a specific patch has been included.
      Is that really useful enough to include?

      --
      It might look like I'm doing nothing, but at the cellular level
      I'm really quite busy.

      /// Bram Moolenaar -- Bram@... -- http://www.Moolenaar.net \\\
      /// Creator of Vim - Vi IMproved -- http://www.Vim.org \\\
      \\\ Project leader for A-A-P -- http://www.A-A-P.org ///
      \\\ Help AIDS victims, buy at Amazon -- http://ICCF.nl/click1.html ///
    Your message has been successfully submitted and would be delivered to recipients shortly.